import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor code action to an LSP code action.
 *
 * @param codeAction The Monaco code action to convert.
 * @returns The code action as an LSP code action.
 */
export declare function fromCodeAction(codeAction: monaco.languages.CodeAction): ls.CodeAction;
export interface ToCodeActionOptions {
    /**
     * The default severity in case it’s not provided by a diagnostic.
     *
     * @default MarkerSeverity.Error
     */
    defaultSeverity?: monaco.MarkerSeverity;
}
/**
 * Convert an LSP code action to a Monaco editor code action.
 *
 * @param codeAction The LSP code action to convert.
 * @param options Additional options needed to construct the Monaco code action.
 * @returns The code action as Monaco editor code action.
 */
export declare function toCodeAction(codeAction: ls.CodeAction, options?: ToCodeActionOptions): monaco.languages.CodeAction;
//# sourceMappingURL=codeAction.d.ts.map