import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor code action context to an LSP code action context.
 *
 * @param codeActionContext The Monaco code action context to convert.
 * @returns The code action context as an LSP code action context.
 */
export declare function fromCodeActionContext(codeActionContext: monaco.languages.CodeActionContext): ls.CodeActionContext;
export interface ToCodeActionContextOptions {
    /**
     * The default severity in case it’s not provided by a diagnostic.
     *
     * @default MarkerSeverity.Error
     */
    defaultSeverity?: monaco.MarkerSeverity;
}
/**
 * Convert an LSP code action context to a Monaco editor code action context.
 *
 * @param codeActionContext The LSP code action context to convert.
 * @param options Additional options needed to construct the Monaco code action context.
 * @returns The code action context as Monaco editor code action context.
 */
export declare function toCodeActionContext(codeActionContext: ls.CodeActionContext, options?: ToCodeActionContextOptions): monaco.languages.CodeActionContext;
//# sourceMappingURL=codeActionContext.d.ts.map