import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor color information to an LSP color information.
 *
 * @param colorInformation The Monaco color information to convert.
 * @returns The color information as an LSP color information.
 */
export declare function fromColorInformation(colorInformation: monaco.languages.IColorInformation): ls.ColorInformation;
/**
 * Convert an LSP color information to a Monaco editor color information.
 *
 * @param colorInformation The LSP color information to convert.
 * @returns The color information as Monaco editor color information.
 */
export declare function toColorInformation(colorInformation: ls.ColorInformation): monaco.languages.IColorInformation;
//# sourceMappingURL=colorInformation.d.ts.map