import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor completion context to an LSP completion context.
 *
 * @param completionContext The Monaco completion context to convert.
 * @returns The completion context as an LSP completion context.
 */
export declare function fromCompletionContext(completionContext: monaco.languages.CompletionContext): ls.CompletionContext;
/**
 * Convert an LSP completion context to a Monaco editor completion context.
 *
 * @param completionContext The LSP completion context to convert.
 * @returns The completion context as Monaco editor completion context.
 */
export declare function toCompletionContext(completionContext: ls.CompletionContext): monaco.languages.CompletionContext;
//# sourceMappingURL=completionContext.d.ts.map