import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor completion item kind to an LSP completion item kind.
 *
 * @param kind The Monaco completion item kind to convert.
 * @returns The completion item kind as an LSP completion item kind.
 */
export declare function fromCompletionItemKind(kind: monaco.languages.CompletionItemKind): ls.CompletionItemKind | undefined;
/**
 * Convert an LSP completion item kind to a Monaco editor completion item kind.
 *
 * @param kind The LSP completion item kind to convert.
 * @returns The completion item kind as Monaco editor completion item kind.
 */
export declare function toCompletionItemKind(kind: ls.CompletionItemKind): monaco.languages.CompletionItemKind;
//# sourceMappingURL=completionItemKind.d.ts.map