import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor document symbol to an LSP document symbol.
 *
 * @param documentSymbol The Monaco document symbol to convert.
 * @returns The document symbol as an LSP document symbol.
 */
export declare function fromDocumentSymbol(documentSymbol: monaco.languages.DocumentSymbol): ls.DocumentSymbol;
/**
 * Convert an LSP document symbol to a Monaco editor document symbol.
 *
 * @param documentSymbol The LSP document symbol to convert.
 * @returns The document symbol as Monaco editor document symbol.
 */
export declare function toDocumentSymbol(documentSymbol: ls.DocumentSymbol): monaco.languages.DocumentSymbol;
//# sourceMappingURL=documentSymbol.d.ts.map