import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor folding range to an LSP folding range.
 *
 * @param foldingRange The Monaco folding range to convert.
 * @returns The folding range as an LSP folding range.
 */
export declare function fromFoldingRange(foldingRange: monaco.languages.FoldingRange): ls.FoldingRange;
/**
 * Convert an LSP folding range to a Monaco editor folding range.
 *
 * @param foldingRange The LSP folding range to convert.
 * @returns The folding range as Monaco editor folding range.
 */
export declare function toFoldingRange(foldingRange: ls.FoldingRange): monaco.languages.FoldingRange;
//# sourceMappingURL=foldingRange.d.ts.map