import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor link to an LSP document link.
 *
 * @param link The Monaco link to convert.
 * @returns The link as an LSP document link.
 */
export declare function fromLink(link: monaco.languages.ILink): ls.DocumentLink;
/**
 * Convert an LSP document link to a Monaco editor link.
 *
 * @param documentLink The LSP document link to convert.
 * @returns The document link as Monaco editor link.
 */
export declare function toLink(documentLink: ls.DocumentLink): monaco.languages.ILink;
//# sourceMappingURL=link.d.ts.map