import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor location link to an LSP location link.
 *
 * @param locationLink The Monaco location link to convert.
 * @returns The location link as an LSP location link.
 */
export declare function fromLocationLink(locationLink: monaco.languages.LocationLink): ls.LocationLink;
/**
 * Convert an LSP location link to a Monaco editor location link.
 *
 * @param locationLink The LSP location link to convert.
 * @returns The location link as Monaco editor location link.
 */
export declare function toLocationLink(locationLink: ls.LocationLink): monaco.languages.LocationLink;
//# sourceMappingURL=locationLink.d.ts.map