import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor marker data to an LSP diagnostic.
 *
 * @param markerData The Monaco marker data to convert.
 * @returns The marker data as an LSP diagnostic.
 */
export declare function fromMarkerData(markerData: monaco.editor.IMarkerData): ls.Diagnostic;
export interface ToMarkerDataOptions {
    /**
     * The default severity in case it’s not provided by the diagnostic.
     *
     * @default MarkerSeverity.Error
     */
    defaultSeverity?: monaco.MarkerSeverity;
}
/**
 * Convert an LSP diagnostic to a Monaco editor marker data.
 *
 * @param diagnostic The LSP diagnostic to convert.
 * @param options Additional options needed to construct the Monaco marker data.
 * @returns The diagnostic as Monaco editor marker data.
 */
export declare function toMarkerData(diagnostic: ls.Diagnostic, options?: ToMarkerDataOptions): monaco.editor.IMarkerData;
//# sourceMappingURL=markerData.d.ts.map