import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor selection range to an LSP selection range.
 *
 * @param selectionRange The Monaco selection range to convert.
 * @returns The selection range as an LSP selection range.
 */
export declare function fromSelectionRange(selectionRange: monaco.languages.SelectionRange): ls.SelectionRange;
/**
 * Convert an LSP selection range to a Monaco editor selection range.
 *
 * @param selectionRange The LSP selection range to convert.
 * @returns The selection range as Monaco editor selection range.
 */
export declare function toSelectionRange(selectionRange: ls.SelectionRange): monaco.languages.SelectionRange;
//# sourceMappingURL=selectionRange.d.ts.map