import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor signature help to an LSP signature help.
 *
 * @param signatureHelp The Monaco signature help to convert.
 * @returns The signature help as an LSP signature help.
 */
export declare function fromSignatureHelp(signatureHelp: monaco.languages.SignatureHelp): ls.SignatureHelp;
/**
 * Convert an LSP signature help to a Monaco editor signature help.
 *
 * @param signatureHelp The LSP signature help to convert.
 * @returns The signature help as Monaco editor signature help.
 */
export declare function toSignatureHelp(signatureHelp: ls.SignatureHelp): monaco.languages.SignatureHelp;
//# sourceMappingURL=signatureHelp.d.ts.map