import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert a Monaco editor signature help context to an LSP signature help context.
 *
 * @param signatureHelpContext The Monaco signature help context to convert.
 * @returns The signature help context as an LSP signature help context.
 */
export declare function fromSignatureHelpContext(signatureHelpContext: monaco.languages.SignatureHelpContext): ls.SignatureHelpContext;
/**
 * Convert an LSP signature help context to a Monaco editor signature help context.
 *
 * @param signatureHelpContext The LSP signature help context to convert.
 * @returns The signature help context as Monaco editor signature help context.
 */
export declare function toSignatureHelpContext(signatureHelpContext: ls.SignatureHelpContext): monaco.languages.SignatureHelpContext;
//# sourceMappingURL=signatureHelpContext.d.ts.map